Bug 873120 (CVE-2012-5474)

Summary: CVE-2012-5474 OpenStack: Dashboard /etc/openstack-dashboard/local_settings secret key exposure
Product: [Other] Security Response Reporter: Kurt Seifried <kseifried>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: apevec, cpelland, markmc, mrunge, nsantos, pbrady, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-12-14 09:10:12 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 873121, 873440, 876291    
Bug Blocks: 836072, 873487    

Description Kurt Seifried 2012-11-05 08:03:48 UTC
Within the OpenStack dashboard package (specifically openstack-dashboard) the 
file /etc/openstack-dashboard/local_settings is world readable and contains:

===
# Note: You should change this value
SECRET_KEY = 'elj1IWiLoWHgcyYxFVLj7cM5rGOOxWl0'
===

Also as a note the same value is contained within:
/usr/share/openstack-dashboard/openstack_dashboard/local/local_settings.py

This file needs to be read by the web server (apache HTTPD), so a reasonable
file configuration would be to set the file as owned by the root user and the 
apache group with file mode 0640. 

As I understand it this value is no longer used in the Folsom release of 
OpenStack.

Comment 1 Kurt Seifried 2012-11-13 18:34:16 UTC
Created python-django-horizon tracking bugs for this issue

Affects: epel-6 [bug 876291]

Comment 2 Fedora Update System 2012-11-17 19:50:22 UTC
python-keystoneclient-0.1.3.27-1.el6, python-glanceclient-0.5.1-1.el6, python-websockify-0.2.0-1.el6, novnc-0.4-2.el6, python-prettytable-0.6.1-1.el6, openstack-quantum-2012.2-2.el6, python-quantumclient-2.1.1-0.el6, python-cinderclient-0.2.26-1.el6, python-novaclient-2.9.0-1.el6, python-django-openstack-auth-1.0.2-3.el6, openstack-nova-2012.2-2.el6, openstack-cinder-2012.2-3.el6, openstack-utils-2012.2-6.el6, openstack-glance-2012.2-3.el6, python-django-horizon-2012.2-4.el6, openstack-keystone-2012.2-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2012-11-23 07:39:33 UTC
python-django-horizon-2012.2-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Huzaifa S. Sidhpurwala 2012-11-28 06:03:22 UTC
Acknowledgements:

This issue was discovered by Kurt Seifried of Red Hat Security Response Team.